%
%  This file processes the data from the first order system
%
function data = process_data;
%
%  enter the data as 
%  f (in Hz) Vin (in mV) Vout (in mV); 
%
  measured = [ 10 1.01 1.9;
               50 1.01 1.70;
               100 1.01 1.32;
               75 1.01 1.50;
               125 1.01 1.14;
               150 1.01 1.04
              ];
%
%  Be sure the rows are sorted by frequency
%
   measured = sortrows(measured,1);
%
%  get the frequency of the measurement
%
  f = measured(:,1); 
%
%  get the magnitude of the transfer function
%
  mag_H = measured(:,3)./measured(:,2);
%
%  put the data into the data array
%
  data = [f mag_H];
%
  return;